summaryrefslogtreecommitdiffstats
path: root/games/KAdventure/KAdventure.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/KAdventure/KAdventure.SlackBuild')
-rw-r--r--games/KAdventure/KAdventure.SlackBuild107
1 files changed, 107 insertions, 0 deletions
diff --git a/games/KAdventure/KAdventure.SlackBuild b/games/KAdventure/KAdventure.SlackBuild
new file mode 100644
index 0000000000..a17d12542b
--- /dev/null
+++ b/games/KAdventure/KAdventure.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for KAdventure
+
+# Copyright 2015 Tim Dickson, email: dickson.tim@googlemail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=KAdventure
+VERSION=${VERSION:-gitfdc9579}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-master
+unzip $CWD/$PRGNAM-master.zip||unzip $CWD/master.zip
+cd $PRGNAM-master
+
+#we'll patch the qml files to remove a runtime warning
+#upstream will be fixing this eventually.
+sed -i "s/Qt 4.7/QtQuick 1.1/" src/*.qml
+sed -i "s/Qt 4.7/QtQuick 1.1/" levels/BouncingBall.qml
+sed -i "s/Qt 4.7/QtQuick 1.1/" objects/*.qml
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+#mkdir -p build
+qmake QMAKE_CFLAGS="$SLKCFLAGS" QMAKE_CXXFLAGS="$SLKCFLAGS" -config release
+make
+
+#the make file has no install info so we do things ourselves
+mkdir -p $PKG/usr/bin $PKG/usr/share/applications/
+cp $PRGNAM $PKG/usr/bin
+mkdir -p $PKG/usr/share/applications/ $PKG/usr/share/icons/hicolor/{128x128,48x48,16x16}/apps
+cp images/player.png $PKG/usr/share/icons/hicolor/48x48/apps/$PRGNAM.png
+convert images/player.png -resize 128x128 $PKG/usr/share/icons/hicolor/128x128/apps/$PRGNAM.png
+convert images/player.png -resize 16x16 $PKG/usr/share/icons/hicolor/16x16/apps/$PRGNAM.png
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+#lets strip the executable
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp README.md $PKG/usr/doc/$PRGNAM-$VERSION/
+cd ..
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+#now make the package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}